# $Revision: 1.34 $, $Date: 2006/07/26 19:08:11 $
#
# Conditional build:
%bcond_with	tests	# perform "make test". needs MySQL server
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	DBI
Summary:	Class::DBI - simple database abstraction
Summary(pl):	Class::DBI - prosta abstrakcja bazodanowa
Name:		perl-Class-DBI
Version:	3.0.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-v%{version}.tar.gz
# Source0-md5:	c61f5da79207b8a8c440c10cde2b35bd
URL:		http://search.cpan.org/dist/Class-DBI/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Accessor >= 0.18
BuildRequires:	perl-DBD-SQLite
BuildRequires:	perl-Date-Simple
BuildRequires:	perl-Ima-DBI >= 0.33-2
BuildRequires:	perl-UNIVERSAL-moniker >= 0.06
%endif
Requires:	perl-Class-Accessor => 0.18
Requires:	perl-Class-Data-Inheritable => 0.02
Requires:	perl-Ima-DBI => 0.30
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::DBI provides a convenient abstraction layer to a database.

It not only provides a simple database to object mapping layer, but
can be used to implement several higher order database functions
(triggers, referential integrity, cascading delete etc.), at the
application level, rather than at the database.

%description -l pl
Class::DBI udostpnia wygodny poziom abstrakcji w dostpie do bazy
danych.

Udostpnia nie tylko prost warstw mapowania bazy na obiekt, ale moe
take zosta uyty do zaimplementowania waniejszych funkcji
bazodanowych (triggery, integralno referencyjna, kaskadowe usuwanie
itp.) na poziomie aplikacji, nie bazy danych.

%prep
%setup -q -n %{pdir}-%{pnam}-v%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Class/DBI/Plugin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_vendorlib}/Class/DBI.pm
%{perl_vendorlib}/Class/DBI
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-DBI.spec,v $
Revision 1.34  2006/07/26 19:08:11  glen
- 3.0.14, generic URL

Revision 1.33  2004/11/03 22:30:09  paladine
- formatting

Revision 1.32  2004/06/14 10:07:14  ankry
- readable changelog

Revision 1.31  2004/06/14 10:06:39  ankry
- enabled tests, rel. 3

Revision 1.30  2004/06/14 09:25:00  ankry
- higher BR to force upgrade on builders

Revision 1.29  2004/05/06 18:09:20  ankry
- fixed perl-devel BR

Revision 1.28  2004/05/06 04:19:00  agaran
- reverted last commit, mistake more coffe needed

Revision 1.26  2004/05/02 07:28:52  adamg
- updated to 0.96

Revision 1.25  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.24  2004/04/18 16:56:34  ankry
- license fixes and unification

Revision 1.23  2004/04/13 11:56:04  migo
- include Plugin directory
- release 2

Revision 1.22  2004/01/10 16:20:07  migo
- up to 0.95
- reworked BRs
- license cosmetics

Revision 1.21  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.20  2003/09/01 09:34:52  migo
- up to 0.94

Revision 1.19  2003/08/27 18:43:11  migo
- release 2

Revision 1.18  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.17  2003/08/19 09:03:05  migo
- updated Requires

Revision 1.16  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/07/25 18:35:56  adamg
- updated to 0.93

Revision 1.14  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.11  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.10  2003/03/13 00:01:41  ankry
- merge from RA-branch: updated to 0.91

Revision 1.9  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/28 10:08:12  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.7  2003/02/25 00:37:38  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:28:00  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/11/28 17:51:08  mis
- autoupdated to 0.90

Revision 1.4  2002/08/02 16:49:40  kloczek
- adapterized.

Revision 1.3  2002/08/02 16:46:48  kloczek
- release 2.

Revision 1.2  2002/08/02 11:20:27  radek
- added patch for require (5.00502 -> 5.005_02)

Revision 1.1  2002/07/23 02:17:35  radek
- new
